4Suite™ API Documentation

# ► Module Ft.Lib.TestSuite.TestLoader

Provides the TestLoader class for loading test modules or packages.

    Copyright 2006 Fourthought, Inc. (USA).
    Detailed license and copyright information: http://4suite.org/COPYRIGHT
    Project home, documentation, distributions: http://4suite.org/

Classes: TestLoader

## Classes

class TestLoader(Ft.Lib.TestSuite.TestObject.TestObject)

  ### Methods

  __init__(self, name, path, addModes, skipModes, allModes)
    Overrides: __init__ from class TestObject
  addTest(self, name)
  getTests(self)
    Overrides: getTests from class TestObject
  loadTest(self, name)

  ### Methods inherited from class Ft.Lib.TestSuite.TestObject.TestObject

  __str__, getModes, run, showTests

  ### Members inherited from class Ft.Lib.TestSuite.TestObject.TestObject

  modes, tests